POST Agents/Contact/GetContactEntity
Some tooltip text!
• 10 minutes to read
• 10 minutes to read
POST /api/v1/Agents/Contact/GetContactEntity
Gets a ContactEntity object.
NsApiSlow threshold: 2000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| contactEntityId | int32 | Required The identifier of the ContactEntity object |
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Contact/GetContactEntity?contactEntityId=671
POST /api/v1/Agents/Contact/GetContactEntity?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ContactEntity
| Property Name | Type | Description |
|---|---|---|
| ContactId | int32 | Primary key |
| Name | string | Contact name |
| Department | string | Department |
| OrgNr | string | VAT number or similar |
| Number1 | string | Alphanumeric user field |
| Number2 | string | Alphanumeric user field |
| UpdatedDate | date-time | Date last updated in UTC. |
| CreatedDate | date-time | Date registered in UTC. |
| Emails | array | The contact's email |
| Interests | array | The contact's available and selected interests. Use MDO List name "contint" to get list items. |
| Urls | array | The contact's internet adresses |
| Phones | array | The contact's phone numbers |
| Faxes | array | The contact's fax numbers |
| Description | string | Description of the contact. Usually shown as a postit note. |
| UpdatedBy | Associate | The user that last updated the contact |
| CreatedBy | Associate | The user that created the contact |
| Associate | Associate | The user that owns this contact. Use MDO List name "associate" to get list items. |
| Business | Business | The business that the contact is associated with. The GUI forces the user to enter a business type. Use MDO List name "business" to get list items. |
| Category | Category | The category that is set on the company. The GUI forces the user to enter a category type Use MDO List name "category" to get list items. |
| Country | Country | The country this contact is located in. The country a contact is saved with, affects the phone number format, and the address layout. Use MDO List name "country" to get list items. |
| Persons | array | The persons belonging to the contact. |
| NoMailing | bool | Spam filter. Indicates if this contact should retrieve advertising. |
| Kananame | string | Contact kana name, used in Japanese versions only |
| Xstop | bool | STOP flag |
| ActiveInterests | int32 | The number of active interests. |
| GroupId | int32 | Group id of original owning associate, semantics like appnt.grp_id |
| ActiveStatusMonitorId | int32 | Active status monitor identity with the lowest rank for contact |
| SupportAssociate | Associate | Use MDO List name "associate" to get list items. |
| TicketPriority | TicketPriority | Use MDO List name "ticketpriority" to get list items. |
| CustomerLanguage | CustomerLanguage | customerlanguage |
| Deleted | int32 | If nonzero, then this contact is 'deleted' and should generally not be shown |
| DbiAgentId | int32 | Integration agent (eJournal) |
| DbiLastSyncronized | date-time | Last external syncronization. |
| DbiKey | string | The primary key for the integrated entry in the external datasource. |
| DbiLastModified | date-time | When the entry was last modified. |
| SupportPerson | Person | Carrier object for Person. Services for the Person Carrier is available from the Person Agent. |
| Address | Address | Street and/or Postal address, in both formatted and structured forms. You only need to modify one of the two for the change to be registered. Carrier object for Address. |
| Source | int32 | How did we get this contact? For future integration needs |
| ActiveErpLinks | int32 | The number of active erp links |
| BounceEmails | array | Email addresses with a positive bounce counter. |
| Domains | array | Web domains for this contact, ordered in array by rank |
| UtmParameters | SavedUtmParameters | Utm parameters when creating first person and contact, readonly field |
| UserDefinedFields | object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234" |
| ExtraFields | object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.ContactEntity.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Contact/GetContactEntity
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ContactId": 236,
"Name": "Acme Corporation",
"Department": "Sales and Marketing",
"OrgNr": "987654321",
"Number1": "10001",
"Number2": "20001",
"UpdatedDate": "2024-12-29T10:10:59.3771845+01:00",
"CreatedDate": "2001-11-09T10:10:59.3771845+01:00",
"Emails": [
{
"Value": "delectus",
"StrippedValue": "qui",
"Description": "Managed intangible flexibility",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 248
}
}
},
{
"Value": "delectus",
"StrippedValue": "qui",
"Description": "Managed intangible flexibility",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 248
}
}
}
],
"Interests": [
{
"Id": 978,
"Name": "Technology Innovation Forum",
"ToolTip": "Perferendis necessitatibus nam porro quisquam.",
"Deleted": true,
"Rank": 390,
"Type": "aut",
"ColorBlock": 562,
"IconHint": "alias",
"Selected": false,
"LastChanged": "2018-07-07T10:10:59.3771845+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "enim",
"StyleHint": "eum",
"Hidden": false,
"FullName": "Kayleigh Hahn",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 947
}
}
}
],
"Urls": [
{
"Value": "et",
"StrippedValue": "assumenda",
"Description": "Expanded contextually-based parallelism",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 286
}
}
},
{
"Value": "et",
"StrippedValue": "assumenda",
"Description": "Expanded contextually-based parallelism",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 286
}
}
}
],
"Phones": [
{
"Value": "id",
"StrippedValue": "explicabo",
"Description": "Polarised systematic hub",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 729
}
}
},
{
"Value": "id",
"StrippedValue": "explicabo",
"Description": "Polarised systematic hub",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 729
}
}
}
],
"Faxes": [
{
"Value": "vel",
"StrippedValue": "ducimus",
"Description": "Realigned tangible paradigm",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 297
}
}
},
{
"Value": "vel",
"StrippedValue": "ducimus",
"Description": "Realigned tangible paradigm",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 297
}
}
}
],
"Description": "Business-focused local parallelism",
"UpdatedBy": null,
"CreatedBy": null,
"Associate": null,
"Business": null,
"Category": null,
"Country": null,
"Persons": [
{
"Position": "natus",
"PersonId": 714,
"Mrmrs": "eaque",
"Firstname": "Jamel",
"Lastname": "Bernier",
"MiddleName": "Cummings, Kuhic and White",
"Title": "iusto",
"Description": "Decentralized non-volatile ability",
"Email": "may.feest@torpkassulke.com",
"FullName": "Sedrick Erdman",
"DirectPhone": "952.832.6724 x44742",
"FormalName": "Ebert, Greenfelder and Rippin",
"CountryId": 25,
"ContactId": 508,
"ContactName": "Predovic-Osinski",
"Retired": 219,
"Rank": 393,
"ActiveInterests": 525,
"ContactDepartment": "optimize holistic mindshare",
"ContactCountryId": 482,
"ContactOrgNr": "794400",
"FaxPhone": "176.446.9752 x3041",
"MobilePhone": "728.615.1109",
"ContactPhone": "573.924.0248",
"AssociateName": "Ruecker LLC",
"AssociateId": 277,
"UsePersonAddress": false,
"ContactFax": "quidem",
"Kanafname": "placeat",
"Kanalname": "sit",
"Post1": "voluptatibus",
"Post2": "commodi",
"Post3": "cum",
"EmailName": "sanford_wilderman@veum.uk",
"ContactFullName": "Theodora Rau",
"ActiveErpLinks": 687,
"TicketPriorityId": 710,
"SupportLanguageId": 916,
"SupportAssociateId": 255,
"CategoryName": "VIP Customer",
"PersonNumber": "1167654",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 45
}
}
}
],
"NoMailing": false,
"Kananame": "et",
"Xstop": true,
"ActiveInterests": 189,
"GroupId": 326,
"ActiveStatusMonitorId": 407,
"SupportAssociate": null,
"TicketPriority": null,
"CustomerLanguage": null,
"Deleted": 799,
"DbiAgentId": 422,
"DbiLastSyncronized": "2025-04-21T10:10:59.3802669+02:00",
"DbiKey": "sint",
"DbiLastModified": "2009-02-03T10:10:59.3802669+01:00",
"SupportPerson": null,
"Address": null,
"Source": 398,
"ActiveErpLinks": 394,
"BounceEmails": [
"jacklyn@waters.ca",
"adell@kuhlmankoss.com"
],
"Domains": [
"qui",
"doloremque"
],
"InitialUtmParameters": null,
"UserDefinedFields": {
"SuperOffice:1": "True",
"SuperOffice:2": "Miss Magali Raynor"
},
"ExtraFields": {
"ExtraFields1": "dicta",
"ExtraFields2": "pariatur"
},
"CustomFields": {
"CustomFields1": "facere",
"CustomFields2": "quo"
},
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 197
}
}
}